export const GETDATA = 'GETDATA';
export const RESET_STORE = 'RESET_STORE';
export const GETDATA_SUCCESS = 'GETDATA_SUCCESS';
export const GETDATA_FAILED = 'GETDATA_FAILED';

export const SHOW_LOADING = 'SHOW_LOADING';
export const HIDE_LOADING = 'HIDE_LOADING';

export const BACKUP = 'BACKUP';
export const BACKUP_FAILED = 'BACKUP_FAILED';
export const BACKUP_SUCCESS = 'BACKUP_SUCCESS';

export const SET_ITEM = 'SET_ITEM';
export const SET_ITEM_SUCCESS = 'SET_ITEM_SUCCESS';

export const SET_TOKEN = 'SET_TOKEN';
export const SET_TOKEN_SUCCESS = 'SET_TOKEN_SUCCESS';

export const MAX_LENGTH = {
  CODE: 64,
  TEXT: 256,
  DESCRIPTION: 2000,
  NUMBER: 9, // number integer
  NUMBER_DECIMAL: 20,
  ADDRESS: 256,
  PHONE: 20,
  EMAIL: 256,
  FAX: 20,
  ZIPCODE: 20,
  PRICE: 20,
  PASSWORD: 20,
  USER_NAME: 64,
  CREDIT_CARD: 20,
  CURRENCY: 20,
  IDENTITY: 20,
  FLOOR: 2,
  PRECISION: 2,
};
